> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar vaga

> Cria uma nova vaga



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json post /api/v1/empregabilidade/vagas
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/vagas:
    post:
      tags:
        - empregabilidade-vagas
      summary: Criar vaga
      description: Cria uma nova vaga
      requestBody:
        $ref: '#/components/requestBodies/empregabilidade.Vaga'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/empregabilidade.Vaga'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - bearerAuth: []
components:
  requestBodies:
    empregabilidade.Vaga:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/empregabilidade.Vaga'
      description: Dados da vaga
      required: true
  schemas:
    empregabilidade.Vaga:
      type: object
      properties:
        acessibilidade_pcd:
          $ref: '#/components/schemas/empregabilidade.AcessibilidadePCD'
        bairro:
          type: string
        beneficios:
          type: string
        contratante:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Empresa'
        created_at:
          type: string
        data_limite:
          type: string
        deleted_at:
          type: string
          example: '2024-12-31T23:59:59Z'
        descricao:
          type: string
        diferenciais:
          type: string
        etapas:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.Etapa'
        id:
          type: string
        id_contratante:
          type: string
        id_modelo_trabalho:
          type: string
        id_orgao_parceiro:
          type: string
        id_regime_contratacao:
          type: string
        informacoes_complementares:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.InformacaoComplementar'
        modelo_trabalho:
          $ref: '#/components/schemas/empregabilidade.ModeloTrabalho'
        orgao_parceiro:
          $ref: '#/components/schemas/models.OrgaoSnapshot'
        regime_contratacao:
          $ref: '#/components/schemas/empregabilidade.RegimeContratacao'
        requisitos:
          type: string
        responsabilidades:
          type: string
        status:
          $ref: '#/components/schemas/empregabilidade.StatusVaga'
        tipos_pcd:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.TipoPCD'
        titulo:
          type: string
        updated_at:
          type: string
        valor_vaga:
          type: number
    empregabilidade.AcessibilidadePCD:
      type: string
      enum:
        - para_pcd
        - preferencial_pcd
        - exclusivo_pcd
      x-enum-varnames:
        - AcessibilidadeParaPCD
        - AcessibilidadePreferencialPCD
        - AcessibilidadeExclusivoPCD
    empregabilidade.Empresa:
      type: object
      properties:
        cnpj:
          type: string
        created_at:
          type: string
        descricao:
          type: string
        nome_fantasia:
          type: string
        porte:
          type: string
        razao_social:
          type: string
        setor:
          type: string
        updated_at:
          type: string
        url_logo:
          type: string
        website:
          type: string
    empregabilidade.Etapa:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        id_vaga:
          type: string
        ordem:
          type: integer
        titulo:
          type: string
        updated_at:
          type: string
        vaga:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Vaga'
    empregabilidade.InformacaoComplementar:
      type: object
      properties:
        created_at:
          type: string
        id:
          type: string
        id_vaga:
          type: string
        obrigatorio:
          type: boolean
        opcoes:
          type: array
          items:
            type: string
        tipo_campo:
          $ref: '#/components/schemas/empregabilidade.TipoCampo'
        titulo:
          type: string
        updated_at:
          type: string
        vaga:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Vaga'
        valor_maximo:
          type: integer
        valor_minimo:
          type: integer
    empregabilidade.ModeloTrabalho:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    models.OrgaoSnapshot:
      type: object
      properties:
        created_at:
          type: string
        id:
          type: integer
        last_synced_at:
          type: string
        metadata:
          $ref: '#/components/schemas/models.OrgaoMetadata'
        name:
          type: string
        orgao_id:
          type: string
        sigla:
          type: string
        sync_error:
          type: string
        sync_status:
          type: string
        updated_at:
          type: string
    empregabilidade.RegimeContratacao:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.StatusVaga:
      type: string
      enum:
        - em_edicao
        - em_aprovacao
        - publicado_ativo
        - publicado_expirado
        - vaga_congelada
        - vaga_descontinuada
      x-enum-varnames:
        - StatusVagaEmEdicao
        - StatusVagaEmAprovacao
        - StatusVagaPublicadoAtivo
        - StatusVagaPublicadoExpirado
        - StatusVagaCongelada
        - StatusVagaDescontinuada
    empregabilidade.TipoPCD:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.TipoCampo:
      type: string
      enum:
        - resposta_curta
        - resposta_numerica
        - selecao_unica
        - selecao_multipla
      x-enum-varnames:
        - TipoCampoRespostaCurta
        - TipoCampoRespostaNumerica
        - TipoCampoSelecaoUnica
        - TipoCampoSelecaoMultipla
    models.OrgaoMetadata:
      type: object
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````